package handler

import (
	"gitea.loveuer.com/yizhisec/packages/resp"
	"github.com/gin-gonic/gin"
	"time"
)

func Healthz(name, version string) gin.HandlerFunc {
	start := time.Now()
	return func(c *gin.Context) {
		resp.R200(c, gin.H{
			"name":     name,
			"version":  version,
			"start_at": start,
			"uptime":   time.Since(start).String(),
		})
	}
}
