package tool

import (
	"os"
	"testing"
)

func TestAes(t *testing.T) {
	key := os.Getenv("AES_KEY")

	name := "YizhiSEC@123"
	res, err := AesEncrypt([]byte(name), []byte(key))
	if err != nil {
		t.Fatal(err)
	}

	t.Logf("res = %s", string(res))

	raw, err := AesDecrypt(res, []byte(key))
	if err != nil {
		t.Fatal(err)
	}

	t.Logf("raw = %s", string(raw))
}

func TestDecrypt(t *testing.T) {
	key := os.Getenv("AES_KEY")
	enc := "2hurNK+0+b9lEO2hNAkc+TzVx7KH7S0/mRt7mWBJiFA="

	raw, err := AesDecrypt(enc, []byte(key))
	if err != nil {
		t.Fatal(err)
	}
	t.Logf("raw = %s", string(raw))
}
